import * as $dara from '@darabonba/typescript';
import { CreateFileProtectClientRuleResponseBody } from "./CreateFileProtectClientRuleResponseBody";
export declare class CreateFileProtectClientRuleResponse extends $dara.Model {
    headers?: {
        [key: string]: string;
    };
    statusCode?: number;
    body?: CreateFileProtectClientRuleResponseBody;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
